import Joi from "joi";
import { GenericObject, IXTemplateValidator, IXTemplateValidatorError } from "../types";
export declare abstract class BaseValidator implements IXTemplateValidator {
    get ids(): string[];
    protected validator?: IXTemplateValidator;
    constructor(validator?: IXTemplateValidator);
    validate(template: any): IXTemplateValidatorError[];
    getComponents(template: any): GenericObject;
    protected abstract getId(): string;
    protected abstract getValidators(): Joi.ObjectSchema;
}
